Index: functions
===================================================================
RCS file: /home/cvs/cvsroot/hasher/functions,v
retrieving revision 1.7
diff -u -p -r1.7 functions
--- functions	2 Jul 2003 13:54:08 -0000	1.7
+++ functions	3 Jul 2003 14:39:22 -0000
@@ -168,7 +168,7 @@ print_uris()
 		echo -E "$out" >&2
 		Fatal "failed to calculate package file list."
 	fi
-	echo -E "$out" |sed -ne "s/^'file:\\([^']\\+\\)' .*/\\1/pg" || return 1
+	echo -E "$out" |sed -ne "s/^'\\(file\\|copy\\):\\([^']\\+\\)' .*/\\2/pg" || return 1
 	Verbose "calculated package file list."
 }
 
Index: initroot
===================================================================
RCS file: /home/cvs/cvsroot/hasher/initroot,v
retrieving revision 1.12
diff -u -p -r1.12 initroot
--- initroot	2 Jul 2003 13:51:30 -0000	1.12
+++ initroot	3 Jul 2003 14:43:53 -0000
@@ -110,10 +110,14 @@ gid2="$(echo "$ugid2" |cut -d: -f2)"
 	nprocs="$(N=`egrep -cs ^cpu[0-9]+ /proc/stat`; [ "$N" -gt 0 ] 2>/dev/null && echo -n "$N" || echo 1)"
 
 filelist="$(print_uris setup filesystem rpm 'fakeroot>=0:0.7.3')"
+[ -n "$filelist" ] &&
+	Verbose "generated initial filelist." ||
+	Fatal "failed to generate initial filelist."
+
+# reorder to get setup and filesystem first.
 filelist="$(echo "$filelist" |fgrep /setup-)
 $(echo "$filelist" |fgrep /filesystem-)
 $(echo "$filelist" |egrep -v '/(setup|filesystem)-')"
-Verbose "generated initial filelist."
 
 purge_chroot_in
 purge_chroot_out
@@ -139,6 +143,7 @@ echo '%_install_langs $install_langs' >>
 rpmdb --initdb
 __EOF__
 chmod 755 "$entry"
+Verbose "created entry point: $entry"
 
 "$chrootuid1" $number "$chroot" /.host/entry &&
 	Verbose "created RPM database." ||

